# WinStd: WinSock2 API

WinSock2 API

Integrates WinStd classes with Microsoft WinSock2 API. More...

## Classes

class | winstd::ws2_runtime_error
| WinSock2 runtime error. More...
class | winstd::addrinfo
| SID wrapper class. More...
class | winstd::waddrinfo
| SID wrapper class. More...

## Typedefs

typedef addrinfo | winstd::taddrinfo
| Multi-byte / Wide-character SID wrapper class (according to _UNICODE)

## Detailed Description

Integrates WinStd classes with Microsoft WinSock2 API.